StarAttributeInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
StarAttributeInternal::State Struct Reference

Internal: the state of a StarAttribute. More...

## Public Member Functions
| State ()
| constructor More...
void | initAttributeMap ()
| init the attribute map list More...

## Public Attributes
std::map< int, std::shared_ptr< StarAttribute > > | m_whichToAttributeMap
| a map which to an attribute More...

## Protected Member Functions
void | addAttributeVoid (StarAttribute::Type type, std::string const &debugName)
| add a void attribute More...
void | addAttributeXML (StarAttribute::Type type, std::string const &debugName)
| add a XML attribute More...
void | addAttributeBool (StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute More...
void | addAttributeInt (StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute More...
void | addAttributeUInt (StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute More...
void | addAttributeDouble (StarAttribute::Type type, std::string const &debugName, double defValue)
| add a double attribute More...
void | addAttributeColor (StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute More...
void | addAttributeItemSet (StarAttribute::Type type, std::string const &debugName, std::vector< STOFFVec2i > const &limits)
| add a itemSet attribute More...

## Detailed Description

Internal: the state of a StarAttribute.

## Constructor & Destructor Documentation

## ◆ State()

StarAttributeInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addAttributeBool()

void StarAttributeInternal::State::addAttributeBool | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue
| ) |  |
| inlineprotected

add a bool attribute

Referenced by initAttributeMap().

## ◆ addAttributeColor()

void StarAttributeInternal::State::addAttributeColor | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue
| ) |  |
| inlineprotected

add a color attribute

Referenced by initAttributeMap().

## ◆ addAttributeDouble()

void StarAttributeInternal::State::addAttributeDouble | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | double | defValue
| ) |  |
| inlineprotected

add a double attribute

Referenced by initAttributeMap().

## ◆ addAttributeInt()

void StarAttributeInternal::State::addAttributeInt | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue
| ) |  |
| inlineprotected

add a int attribute

Referenced by initAttributeMap().

## ◆ addAttributeItemSet()

void StarAttributeInternal::State::addAttributeItemSet | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | std::vector< STOFFVec2i > const & | limits
| ) |  |
| inlineprotected

add a itemSet attribute

Referenced by initAttributeMap().

## ◆ addAttributeUInt()

void StarAttributeInternal::State::addAttributeUInt | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue
| ) |  |
| inlineprotected

add a unsigned int attribute

Referenced by initAttributeMap().

## ◆ addAttributeVoid()

void StarAttributeInternal::State::addAttributeVoid | ( | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inlineprotected

add a void attribute

Referenced by initAttributeMap().

## ◆ addAttributeXML()

void StarAttributeInternal::State::addAttributeXML | ( | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inlineprotected

add a XML attribute

Referenced by initAttributeMap().

## ◆ initAttributeMap()

void StarAttributeInternal::State::initAttributeMap | ( |  | ) |

init the attribute map list

Referenced by State().

## Member Data Documentation

## ◆ m_whichToAttributeMap

std::map<int, std::shared_ptr<StarAttribute> > StarAttributeInternal::State::m_whichToAttributeMap

a map which to an attribute

Referenced by addAttributeBool(), addAttributeColor(), addAttributeDouble(), addAttributeInt(), addAttributeItemSet(), addAttributeUInt(), addAttributeVoid(), addAttributeXML(), and initAttributeMap().

The documentation for this struct was generated from the following file:

- StarAttribute.cxx